using Ardalis.Specification;
using BookHive.Models;

namespace BookHive.Specifications.Reviews;

public class GetReviewByCriteriaSpec : SingleResultSpecification<Review>
{
    public GetReviewByCriteriaSpec(int bookId, int memberId)
    {
        Query
            .Where(x => x.BookId == bookId && x.MemberId == memberId);
    }
}